Skip to main content
GET
/
api
/
v2
/
secret-rotations
/
databricks-service-principal-secret
/
rotation-name
/
{rotationName}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v2/secret-rotations/databricks-service-principal-secret/rotation-name/{rotationName}
{
  "secretRotation": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "rotationInterval": 123,
    "rotationStatus": "<string>",
    "lastRotationAttemptedAt": "2023-11-07T05:31:56Z",
    "lastRotatedAt": "2023-11-07T05:31:56Z",
    "connection": {
      "app": "databricks",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "environment": {
      "slug": "<string>",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "projectId": "<string>",
    "folder": {
      "id": "<string>",
      "path": "<string>"
    },
    "rotateAtUtc": {
      "hours": 11.5,
      "minutes": 29.5
    },
    "type": "databricks-service-principal-secret",
    "parameters": {
      "servicePrincipalId": "<string>",
      "clientId": "<string>",
      "servicePrincipalName": "<string>"
    },
    "secretsMapping": {
      "clientId": "<string>",
      "clientSecret": "<string>"
    },
    "description": "<string>",
    "isAutoRotationEnabled": true,
    "activeIndex": 0,
    "lastRotationJobId": "<string>",
    "nextRotationAt": "2023-11-07T05:31:56Z",
    "isLastRotationManual": true,
    "lastRotationMessage": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

rotationName
string
required

The name of the Databricks Service Principal Secret Rotation to retrieve.

Minimum string length: 1

Query Parameters

projectId
string
required

The ID of the project the Databricks Service Principal Secret Rotation is located in.

Minimum string length: 1
secretPath
string
required

The secret path the Databricks Service Principal Secret Rotation is located at.

Minimum string length: 1
environment
string
required

The environment the Databricks Service Principal Secret Rotation is located in.

Minimum string length: 1

Response

Default Response

secretRotation
object
required